"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
// FormBuilderEditable is a wrapper component that will wrap a field and display controls
// for editing and deleting a field.
var FormBuilderEditable = (function (_super) {
    __extends(FormBuilderEditable, _super);
    function FormBuilderEditable() {
        var _this = _super.call(this) || this;
        _this.onEdit = _this.onEdit.bind(_this);
        _this.onDelete = _this.onDelete.bind(_this);
        return _this;
    }
    FormBuilderEditable.prototype.onEdit = function () {
        this.props.onEdit(this.props.field);
    };
    FormBuilderEditable.prototype.onDelete = function () {
        this.props.onDelete(this.props.index);
    };
    FormBuilderEditable.prototype.render = function () {
        var editButtonText = this.props.editButtonText || 'Edit';
        var deleteButtonText = this.props.deleteButtonText || 'Delete';
        return (React.createElement("div", { className: 'form-builder-editable-controls' },
            React.createElement("button", { className: 'form-builder-editable-button form-builder-editable-edit-button', type: 'button', onClick: this.onEdit }, editButtonText),
            React.createElement("button", { className: 'form-builder-editable-button form-builder-editable-delete-button', type: 'button', onClick: this.onDelete }, deleteButtonText),
            this.props.children));
    };
    return FormBuilderEditable;
}(React.Component));
exports.FormBuilderEditable = FormBuilderEditable;
