/// <reference types="react" />
import * as React from 'react';
import * as data from '../data';
export interface IFormSubmissionViewProps {
    fields: data.IField[];
    registry: data.FieldRegistry;
    value: any;
    onChange: (value: any) => void;
}
export interface IFormSubmissionViewState {
}
export declare class FormSubmissionView extends React.PureComponent<IFormSubmissionViewProps, IFormSubmissionViewState> {
    static defaultProps: Partial<IFormSubmissionViewProps>;
    constructor(props: IFormSubmissionViewProps);
    private renderField(field, index);
    private onValueChanged(field, value);
    render(): JSX.Element;
}
