import { IField } from './IField';
import { IFieldBuilderComponent } from './IFieldBuilder';
import { IFieldOptionEditorComponent } from './IFieldOptionEditor';
import { IFieldRenderComponent } from './IFieldRender';
export interface FieldRegistry {
    [type: string]: {
        field: IField;
        displayName: string;
        builder: IFieldBuilderComponent;
        render: IFieldRenderComponent;
        editor?: IFieldOptionEditorComponent;
    };
}
